# must be put in tendermint repo root
version: '3'

services:
  node0:
    container_name: node-0
    image: "sd1718/peer:committer"
    ports:
      - "26656:26656"
      - "26657:26657"
      - "26659:26659"
    environment:
      - ID=0
      - LOG=$${LOG:-tendermint.log}
    volumes:
      - ./commitnet:/tendermint:Z
    networks:
      docker_endorsenet:
        ipv4_address: 192.167.10.2

  node1:
    container_name: node-1
    image: "sd1718/peer:committer"
    ports:
      - "26666:26656"
      - "26667:26657"
      - "26669:26659"
    environment:
      - ID=1
      - LOG=$${LOG:-tendermint.log}
    volumes:
      - ./commitnet:/tendermint:Z
    networks:
      docker_endorsenet:
        ipv4_address: 192.167.10.3

  node2:
    container_name: node-2
    image: "sd1718/peer:committer"
    environment:
      - ID=2
      - LOG=$${LOG:-tendermint.log}
    ports:
      - "26676:26656"
      - "26677:26657"
      - "26679:26659"
    volumes:
      - ./commitnet:/tendermint:Z
    networks:
      docker_endorsenet:
        ipv4_address: 192.167.10.4

  node3:
    container_name: node-3
    image: "sd1718/peer:committer"
    environment:
      - ID=3
      - LOG=$${LOG:-tendermint.log}
    ports:
      - "26686:26656"
      - "26687:26657"
      - "26689:26659"
    volumes:
      - ./commitnet:/tendermint:Z
    networks:
      docker_endorsenet:
        ipv4_address: 192.167.10.5

networks:
    docker_endorsenet:
        external: true


